import 'package:legacy_shared/src/data/datasource/legacy_shared_remote_datasource.dart';
import 'package:legacy_shared/src/data/models/entities/user_entity.dart';

import 'legacy_shared_repository.dart';

class LegacySharedRepositoryImpl implements LegacySharedRepository {
  const LegacySharedRepositoryImpl(this._remote);

  final LegacySharedRemoteDatasource _remote;

  @override
  Future<UserEntity> getLoggedUser({required String token}) {
    return _remote.getLoggedUser(token: token);
  }
}
